wxMacCGContext on Mac OS X Leopard with preinstalled 2.8.4 ? Topic is solved

Do you have a typical platform dependent issue you're battling with ? Ask it here. Make sure you mention your platform, compiler, and wxWidgets version.
Post Reply
lollisoft
Earned some good credits
Earned some good credits
Posts: 115
Joined: Sat Jul 23, 2005 3:52 pm
Location: Germany
Contact:

wxMacCGContext on Mac OS X Leopard with preinstalled 2.8.4 ?

Post by lollisoft » Sun Jul 20, 2008 9:32 am

Hi,

I have updated my Mac OS X to Leopard. Nice new features :-)

Trying to compile code that uses wxMacCGContext I am getting
errors, because the wxMacCGContext identifer is undefined.

It has todo with wxPropGrid that I use from the project page.
(http://sourceforge.net/projects/wxpropgrid)

The code was modified a bit to compile with wxMac 2.6.2.

Any ideas ?

Thanks,

Lothar

lollisoft
Earned some good credits
Earned some good credits
Posts: 115
Joined: Sat Jul 23, 2005 3:52 pm
Location: Germany
Contact:

Post by lollisoft » Sun Jul 20, 2008 10:39 am

Oops,

it is the wxAUI library. Not the wxProbgrid. Sorry, I will investigate more time to find a solution because it seems to
be a core graphics issue.

Lothar
OS: Windows 7, Mac OS X (Panther/Leopard/Snow Leopard), SuSE Linux, Debian (PPC), OpenMoko FreeRunner
Compiler: OpenWatcom, GCC
wxWidgets 2.8.x
IDE Makefile based.
RAD My own brewed, Code generation with XSLT and DialogBlocks

Post Reply